/*
 * Copyright (C) 2004 Robert Hogan <robert at roberthogan dot net>
 */

#include "aboutklamav.h"
#include "pageviewer.h"
#include "tabwidget.h"
#include "version.h"

#include <tdelocale.h>

#include <kstandarddirs.h>
#include <kstandarddirs.h>

#include <tqlayout.h>


using namespace KlamAV;

Aboutklamav::Aboutklamav(TQWidget *parent, const char *name)
    : TQWidget(parent, name)
{

// 	TQString location = locate("data", "klamav/about/klam.png");
// 	TQPixmap image0;
// 	TQImage img;
// 
// 	//img.loadFromData( image0_data, sizeof( image0_data ), "PNG" );
// 	img.load(location,"PNG");
// 	image0 = img;


	TQVBoxLayout *vbox = new TQVBoxLayout(this, KDialog::marginHint(),
			KDialog::spacingHint(), "vbox");

	TQWidget* privateLayoutWidget = new TQWidget( this, "dblayout" );
	vbox->addWidget(privateLayoutWidget);

	TQGridLayout* dblayout = new TQGridLayout( privateLayoutWidget, 1, 1, 2, 2, "dblayout"); 
	dblayout->setColStretch(1, 1);

	tabBrowser = new TabWidget(privateLayoutWidget);
	dblayout->addMultiCellWidget( tabBrowser, 0, 1, 1, 1 );

	homepage = new PageViewer(this, "page");

	connect( homepage, SIGNAL(setWindowCaption (const TQString &)),
		this, SLOT(slotTabCaption (const TQString &)) );
	connect( homepage, SIGNAL(urlClicked(const KURL &,bool)),
		this, SLOT(slotOpenTabPlain(const KURL &,bool)) );
	
	Frame *frame=new Frame(this, homepage, homepage->widget(), i18n( "About KlamAV") );
	tabBrowser->addFrame(frame);
	
	tabBrowser->showPage(homepage->widget());
	setFocus();
	
	TQString location = locate("data", "klamav/about/aboutklamav.html");
	
	homepage->openURL(location);
    //slotTabCaption(TQString("KlamAV %1").arg(KLAMAV_VERSION));  

	//KMessageBox::information (this,nooffilters);

/*	TQGroupBox *groupBox1 = new TQGroupBox( "About KlamAV",this );
	vbox->addWidget(groupBox1);

	groupBox1->setGeometry( TQRect( 20, 40, 551, 391 ) );
	
	TQLabel *pixmapLabel1 = new TQLabel( groupBox1, "pixmapLabel1" );
	pixmapLabel1->setGeometry( TQRect( 60, 110, 140, 140 ) );
	pixmapLabel1->setPixmap( image0 );
	pixmapLabel1->setScaledContents( TRUE );
	
	TQLabel *textLabel1_2 = new TQLabel( "KlamAV \n(C) Robert Hogan <hoganrobert@klamav.sf.net>",groupBox1 );
	textLabel1_2->setGeometry( TQRect( 230, 80, 421, 61 ) );
	
	TQLabel *textLabel1_3 = new TQLabel( "http://klamav.sourceforge.net",groupBox1 );
	textLabel1_3->setGeometry( TQRect( 230, 130, 221, 21 ) );

	TQLabel *textLabel1 = new TQLabel( "Translators:\nRussian, Vitaly Lipatov \n German, Marc Hansen",groupBox1 );
	textLabel1->setGeometry( TQRect( 230, 150, 401, 61 ) );
	
	
	TQLabel *textLabel1 = new TQLabel( "ClamAV \n(C) Tomasz Kojm <tkojm@clamav.net>",groupBox1 );
	textLabel1->setGeometry( TQRect( 230, 20, 401, 61 ) );
	
	TQLabel *textLabel1_4 = new TQLabel( "http://www.clamav.net",groupBox1 );
	textLabel1_4->setGeometry( TQRect( 230, 250, 221, 21 ) );

	pixmapLabel1->setPixmap( image0 );
	pixmapLabel1->setScaledContents( TRUE );
	*/
	//resize( TQSize(600, 480).expandedTo(minimumSizeHint()) );




		


}

void Aboutklamav::slotOpenTabPlain(const KURL& url, bool background)
{

    kdDebug() << "opening tabplain" << endl;
    PageViewer* page = new PageViewer(this, "page");
    //connect( m_part, SIGNAL(signalSettingsChanged()), page, SLOT(slotPaletteOrFontChanged()));
    
/*    connect( page, SIGNAL(setTabIcon(const TQPixmap&)),
            this, SLOT(setTabIcon(const TQPixmap&)));*/
    connect( page, SIGNAL(setWindowCaption (const TQString &)),
            this, SLOT(slotTabCaption (const TQString &)) );
    connect( page, SIGNAL(urlClicked(const KURL &,bool)),
            this, SLOT(slotOpenTabPlain(const KURL &,bool)) );

    Frame *frame=new Frame(this, page, page->widget(), i18n("Untitled"));
    //connectFrame(frame);
    tabBrowser->addFrame(frame);

    if(!background)
        tabBrowser->showPage(page->widget());
    else
        setFocus();
    
    //if (m_tabs->count() > 1 && m_tabs->currentPageIndex() != 0)
//        m_tabsClose->setEnabled(true);

    //kdDebug() << url << endl;
    page->openURL(url);
}

void Aboutklamav::slotTabCaption(const TQString &caption)
{
    if (!caption.isEmpty())
    {
        PageViewer *pv=(PageViewer *)sender();
        tabBrowser->setTitle(caption, pv->widget());
        pv->slotSetCaption(caption);
    }
}


Aboutklamav::~Aboutklamav()
{
}

#include "aboutklamav.moc"





